#include "ATPAbstractController.h"

ZZ_ATPAbsCtrlThread::ZZ_ATPAbsCtrlThread(QObject* parent /*= nullptr*/)
{

}

ZZ_ATPAbsCtrlThread::~ZZ_ATPAbsCtrlThread()
{

}

int ZZ_ATPAbsCtrlThread::InitializeFSControl()
{
	qDebug() << "base class not implemented";
	return 0;
}

int ZZ_ATPAbsCtrlThread::StartAcquisition()
{
	qDebug() << "base class not implemented";
	return 0;
}

int ZZ_ATPAbsCtrlThread::StopAcquisition()
{
	qDebug() << "base class not implemented";
	return 0;
}

// 
// void ZZ_ATPAbsCtrlThread::SetWaitCondition(QWaitCondition *pFinish, QMutex *pMutex)
// {
// 	m_pwcFinish = pFinish;
// 	m_pMutex = pMutex;
// }

int ZZ_ATPAbsCtrlThread::StartTestAcquisition()
{
	qDebug() << "base class not implemented";
	return 0;
// 	m_bFlagIsCollecting = true;
// 	while (m_bFlagIsCollecting)
// 	{
// 		//QMutexLocker locker(&m_Mutex);
// 		QThread::msleep(1000);
// 		qDebug() << "ThreadATPAbsController busy";
// 	}
// 	qDebug() << "ThreadATPAbsController quit";
// 
// 	//m_pwcFinish->wakeAll();
// 	emit SignalAcqFinished(0,1);
}

int ZZ_ATPAbsCtrlThread::StopTestAcquisition()
{
	qDebug() << "base class not implemented";
	return 0;
	//QMutexLocker locker(&m_Mutex);
	//m_bFlagIsCollecting = false;
}
